#!/bin/sh
export PATH='/usr/obj/hs-monad-par-0.3.4.7/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: monad-par
version: 0.3.4.7
id: monad-par-0.3.4.7-01c49f38140c0f386ec8f0563e738ba7

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.  The default
             implementation provides a work-stealing scheduler and supports
             forking tasks that are much lighter weight than IO-threads.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
pkgpath: devel/hs-monad-par
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/ghc/monad-par-0.3.4.7
library-dirs: /usr/local/lib/ghc/monad-par-0.3.4.7
hs-libraries: HSmonad-par-0.3.4.7
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: abstract-deque-0.1.6-d1aa6ad8c5ee1b3d6d299b7cc9a3da9b
         abstract-par-0.3.1-686b98d8ce3d18a21e4c6ed98125e87b
         array-0.5.0.0-470385a50d2b78598af85cfe9d988e1b
         base-4.7.0.2-e1c96ce41208f09c293083d78870d5a2
         containers-0.5.5.1-d4bd887fb97aa3a46cbadc13709b7653
         deepseq-1.3.0.2-63a1ab91b7017a28bb5d04cb1b5d2d02
         monad-par-extras-0.3.2-3229e47c868497259fb9e313c8ae3dc3
         mtl-2.1.3.1-96f1a7910a7553352339ed05fb61c269
         mwc-random-0.12.0.1-d75eb58742b5e2495ab332409a1ca03c
         parallel-3.2.0.4-c24aa7de28116ec01ff7bdb9636c5755
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-monad-par-0.3.4.7/html/monad-par.haddock
haddock-html: /usr/local/share/doc/hs-monad-par-0.3.4.7/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
